<bugID>1248120<Summary>With UnMHT add-on, after switching to another tab, the another tab still shows url of a previous tab.</Summary><Description>Created attachment 8719137
Firefox Nightly 47_0a1 an incorrect (old) url (+ some [unrealted?] glitches after scrolling).png

User Agent: Mozilla/5.0 (Windows NT 5.1; rv:47.0) Gecko/20100101 Firefox/47.0
Build ID: 20160211075855

Steps to reproduce:

First way:
1. Start browser with a start page.
1. Open a new tab.
2. Switch to a previous tab (to the start page).

Second way (if you have some tabs opened already):
1. Being on currently active tab, first make sure it is showing a proper (it's own) url.
2. Then switch to anothetr tab.


Actual results:

After switching to another tab, the another tab still shows url of a previous tab. 


Expected results:

An active tab should show it's own proper url instead of showing an url of a previous (old) tab.

The incorrect url frequency - appears almost always (often), but not always, and sometimes it gets fixed after switching X times between the affected tab to another / adjacent tab.

Another way to fix an incorrect url is to reload an affected tab.

The bug began with version Firefox Nightly 47.0a1 which I installed about 2016-02-11 00:48:32 PST and still occurs after several nightly updates.  As I had no earlier versions installed before, I dont know if the bug occured in earlier versions than 47.0a1.

I don't consider this as a drawing bug (a visual gltich) because I can select and copy the old url as a text. (But as I'm not an expert I'm not sure at 100% if this is unrelated as I also had some visual glitches sometimes when scrolling websites [I'm gonna to fill that visual glitch later as another bug]).</Description></bugID>